AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationHiggsfield

Image to image

Submit a Soul 2 image-to-image task using a public reference image and a prompt.

POST/higgsfield-ai/soul/v2/image-to-image

Submit a reference image and editing instructions. Save the returned request_id to check its status and retrieve images.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

You can put images[].url returned by a text-to-image task into image_url. Use the request_id returned by this submission in Get task to retrieve the result.

Higgsfield Soul 2 Image to imageReference image and request parameters of the native API.